#include common_scripts\utility;
#include maps\mp\_utility;

createModel(modelname, RName)
{
	model = spawnstruct();
	model.name = modelname;
	model.RName = RName;
	return model;
}

initModelList() {
	level.ModelList = [];
	level.EntityList = [];
	level.alreadyAddedModel = [];

	initIgnoredModels();
	initDisplayNames();
	initFromEntArray("script_model", "classname");
	//initFromEntArray("destructible", "targetname");

	/#
	PrintLn("############################");
	PrintLn("DUMP OF ENT ARRAY:");

	ents = GetEntArray();
	for (index = 0; index < ents.size; index++)
	{
		ent = ents[index];

		PrintLn("- model: " + ent.model);
		PrintLn("  classname: " + ent.classname);
		PrintLn("  targetname: " + ent.targetname);
	}
	PrintLn("############################");
	#/
}

initFromEntArray(val, key)
{
	if (!IsDefined(level.ModelList)) {
		level.ModelList = [];
	}

	if (!IsDefined(level.EntityList)) {
		level.EntityList = [];
	}

	level.alreadyAddedModel = [];
	for (index = 0; index < level.ModelList.size; index++) {
		name = level.ModelList[index].name;
		level.alreadyAddedModel[name] = true;
	}

	ents = GetEntArray(val, key);
	for (index = 0; index < ents.size; index++) {
		ent = ents[index];
		name = ent.model;
		if (!isIgnoredModel(name)) {
			level.EntityList[level.EntityList.size] = ent;
			if (!IsDefined(level.alreadyAddedModel[name])) {
				level.alreadyAddedModel[name] = true;
				level.ModelList[level.ModelList.size] = createModel(name, getDisplayName(name));
			}
		}
	}
}

getDisplayName(name) {
	if (IsDefined(level.ModelDisplayNames) && IsDefined(level.ModelDisplayNames[name])) {
		return level.ModelDisplayNames[name];
	}
	return name;
}

isIgnoredModel(name) {
	return IsDefined(level.IgnoredModels)
		&& IsDefined(level.IgnoredModels[name])
		&& level.IgnoredModels[name] == true;
}

initIgnoredModels() {
	if (!IsDefined(level.IgnoredModels)) {
		level.IgnoredModels = [];
	}

	level.IgnoredModels["accessories_windsock"] = true;
	level.IgnoredModels["c130_zoomrig"] = true;
	level.IgnoredModels["com_airduct_circle"] = true;
	level.IgnoredModels["com_pipe_4_90angle_ceramic"] = true;
	level.IgnoredModels["com_pipe_4_90angle_gas"] = true;
	level.IgnoredModels["com_pipe_4_90angle_metal"] = true;
	level.IgnoredModels["com_pipe_4x128_ceramic"] = true;
	level.IgnoredModels["com_pipe_4x128_gas"] = true;
	level.IgnoredModels["com_pipe_4x128_metal"] = true;
	level.IgnoredModels["com_pipe_4x256_ceramic"] = true;
	level.IgnoredModels["com_pipe_4x256_gas"] = true;
	level.IgnoredModels["com_pipe_4x256_metal"] = true;
	level.IgnoredModels["com_pipe_4x32_ceramic"] = true;
	level.IgnoredModels["com_pipe_4x32_gas"] = true;
	level.IgnoredModels["com_pipe_4x32_metal"] = true;
	level.IgnoredModels["com_pipe_4x64_ceramic"] = true;
	level.IgnoredModels["com_pipe_4x64_gas"] = true;
	level.IgnoredModels["com_pipe_4x64_metal"] = true;
	level.IgnoredModels["com_pipe_4x96_ceramic"] = true;
	level.IgnoredModels["com_pipe_4x96_gas"] = true;
	level.IgnoredModels["com_pipe_4x96_metal"] = true;
	level.IgnoredModels["com_pipe_8_90angle_ceramic"] = true;
	level.IgnoredModels["com_pipe_8_90angle_gas"] = true;
	level.IgnoredModels["com_pipe_8_90angle_metal"] = true;
	level.IgnoredModels["com_pipe_8x128_ceramic"] = true;
	level.IgnoredModels["com_pipe_8x128_gas"] = true;
	level.IgnoredModels["com_pipe_8x128_metal"] = true;
	level.IgnoredModels["com_pipe_8x256_ceramic"] = true;
	level.IgnoredModels["com_pipe_8x256_gas"] = true;
	level.IgnoredModels["com_pipe_8x256_metal"] = true;
	level.IgnoredModels["com_pipe_8x32_ceramic"] = true;
	level.IgnoredModels["com_pipe_8x32_gas"] = true;
	level.IgnoredModels["com_pipe_8x32_metal"] = true;
	level.IgnoredModels["com_pipe_8x64_ceramic"] = true;
	level.IgnoredModels["com_pipe_8x64_gas"] = true;
	level.IgnoredModels["com_pipe_8x64_metal"] = true;
	level.IgnoredModels["com_pipe_8x96_ceramic"] = true;
	level.IgnoredModels["com_pipe_8x96_gas"] = true;
	level.IgnoredModels["com_pipe_8x96_metal"] = true;
	level.IgnoredModels["com_propane_tank01"] = true;
	level.IgnoredModels["com_propane_tank02"] = true;
	level.IgnoredModels["com_propane_tank02_small"] = true;
	level.IgnoredModels["com_propane_tank03"] = true;
	level.IgnoredModels["com_wall_fan_blade"] = true;
	level.IgnoredModels["com_wall_fan_blade_2x"] = true;
	level.IgnoredModels["cs_wallfan"] = true;
	level.IgnoredModels["cs_wallfan1"] = true;
	level.IgnoredModels["dt_mirror"] = true;
	level.IgnoredModels["dt_mirror_large"] = true;
	level.IgnoredModels["hanging_apron"] = true;
	level.IgnoredModels["hanging_short_sleeve"] = true;
	level.IgnoredModels["hanging_long_sleeve"] = true;
	level.IgnoredModels["hanging_sheet"] = true;
	level.IgnoredModels["highrise_fencetarp_01"] = true;
	level.IgnoredModels["highrise_fencetarp_02"] = true;
	level.IgnoredModels["highrise_fencetarp_03"] = true;
	level.IgnoredModels["highrise_fencetarp_04"] = true;
	level.IgnoredModels["highrise_fencetarp_04_dlc_1"] = true;
	level.IgnoredModels["highrise_fencetarp_04_dlc_2"] = true;
	level.IgnoredModels["highrise_fencetarp_05"] = true;
	level.IgnoredModels["highrise_fencetarp_06"] = true;
	level.IgnoredModels["highrise_fencetarp_07"] = true;
	level.IgnoredModels["highrise_fencetarp_07_dlc_1"] = true;
	level.IgnoredModels["highrise_fencetarp_07_dlc_2"] = true;
	level.IgnoredModels["highrise_fencetarp_08"] = true;
	level.IgnoredModels["highrise_fencetarp_09"] = true;
	level.IgnoredModels["highrise_fencetarp_10"] = true;
	level.IgnoredModels["me_fanceil1"] = true;
	level.IgnoredModels["me_lightfluohang"] = true;
	level.IgnoredModels["me_lightfluohang_on"] = true;
	level.IgnoredModels["me_lightfluohang_double"] = true;
	level.IgnoredModels["me_lightfluohang_double_on"] = true;
	level.IgnoredModels["parachute_roof_hanging_animated"] = true;
	level.IgnoredModels["sign_airport_security"] = true;
	level.IgnoredModels["tag_origin"] = true;
	level.IgnoredModels["vehicle_ac130_coop"] = true;
	level.IgnoredModels["vehicle_slamraam_base"] = true;
	level.IgnoredModels["vehicle_slamraam_launcher"] = true;
	level.IgnoredModels["vehicle_slamraam_launcher_no_spike"] = true;
	level.IgnoredModels["vehicle_taxi_rooftop_ad_base"] = true;
	level.IgnoredModels["vehicle_taxi_rooftop_ad_1"] = true;
	level.IgnoredModels["vehicle_taxi_rooftop_ad_2"] = true;
	level.IgnoredModels["vehicle_taxi_rooftop_ad_3"] = true;
	level.IgnoredModels["vehicle_taxi_rooftop_ad_4"] = true;
}

initDisplayNames() {
	if (!IsDefined(level.ModelDisplayNames)) {
		level.ModelDisplayNames = [];
	}

	level.ModelDisplayNames["arcade_machine_1"] = "Arcade Machine";
	level.ModelDisplayNames["arcade_machine_1_des"] = "Destroyed Arcade Machine";
	level.ModelDisplayNames["arcade_machine_2"] = "Arcade Machine 2";
	level.ModelDisplayNames["chicken_black"] = "Chicken (black)";
	level.ModelDisplayNames["chicken_black_white"] = "Chicken (black-white)";
	level.ModelDisplayNames["chicken_white"] = "Chicken (white)";
	level.ModelDisplayNames["com_barrel_benzin"] = "Benzin barrel";
	level.ModelDisplayNames["com_barrel_russian_fuel_dirt"] = "Fuel barrel";
	level.ModelDisplayNames["com_electrical_transformer_large_dam"] = "Large electrical transformer";
	level.ModelDisplayNames["com_ex_airconditioner"] = "Air conditioner";
	level.ModelDisplayNames["com_filecabinetblackclosed"] = "Black file cabinet";
	level.ModelDisplayNames["com_filecabinetblackclosed_dam"] = "Black broken file cabinet";
	level.ModelDisplayNames["com_firehydrant"] = "Fire hydrant";
	level.ModelDisplayNames["com_locker_double"] = "Locker";
	level.ModelDisplayNames["com_newspaperbox_blue"] = "Blue newspaper box";
	level.ModelDisplayNames["com_newspaperbox_red"] = "Red newspaper box";
	level.ModelDisplayNames["com_plasticcase_black_big_us_dirt"] = "Ammo crate";
	level.ModelDisplayNames["com_roofvent2_animated"] = "Roof ventilator";
	level.ModelDisplayNames["com_trashbin01"] = "Green trash bin";
	level.ModelDisplayNames["com_trashbin02"] = "Black trash bin";
	level.ModelDisplayNames["com_trashcan_metal_closed"] = "Metal trash bin";
	level.ModelDisplayNames["com_tv1"] = "TV 1";
	level.ModelDisplayNames["com_tv1_cinematic"] = "TV 1";
	level.ModelDisplayNames["com_tv1_testpattern"] = "TV 1 with test pattern";
	level.ModelDisplayNames["com_tv2"] = "TV 2";
	level.ModelDisplayNames["com_vending_can_new1_lit"] = "Vending machine";
	level.ModelDisplayNames["com_vending_can_new2_lit"] = "Vending machine 2";
	level.ModelDisplayNames["crashed_satellite"] = "Crashed satellite";
	level.ModelDisplayNames["foliage_cod5_tree_jungle_01_animated"] = "Jungle tree 1";
	level.ModelDisplayNames["foliage_cod5_tree_jungle_02_animated"] = "Jungle tree 2";
	level.ModelDisplayNames["foliage_cod5_tree_jungle_03_animated"] = "Jungle tree 3";
	level.ModelDisplayNames["foliage_cod5_tree_pine01_large_animated"] = "Pine tree 1";
	level.ModelDisplayNames["foliage_cod5_tree_pine02_large_animated"] = "Pine tree 2";
	level.ModelDisplayNames["foliage_cod5_tree_pine03_large_animated"] = "Pine tree 3";
	level.ModelDisplayNames["foliage_cod5_tree_pine04_large_animated"] = "Pine tree 4";
	level.ModelDisplayNames["foliage_cod5_tree_pine05_large_animated"] = "Pine tree 5";
	level.ModelDisplayNames["foliage_dead_pine_lg_animated"] = "Large dead pine tree";
	level.ModelDisplayNames["foliage_dead_pine_med_animated"] = "Small dead pine tree";
	level.ModelDisplayNames["foliage_desertbrush_1_animated"] = "Desert bush 1";
	level.ModelDisplayNames["foliage_pacific_bushtree01_animated"] = "Big green bush";
	level.ModelDisplayNames["foliage_pacific_bushtree01_halfsize_animated"] = "Small green bush";
	level.ModelDisplayNames["foliage_pacific_bushtree02_animated"] = "Big desert bush";
	level.ModelDisplayNames["foliage_pacific_bushtree02_halfsize_animated"] = "Small desert bush";
	level.ModelDisplayNames["foliage_pacific_fern01_animated"] = "Small fern bush 1";
	level.ModelDisplayNames["foliage_pacific_fern02_animated"] = "Small fern bush 2";
	level.ModelDisplayNames["foliage_pacific_palms06_animated"] = "Small palms";
	level.ModelDisplayNames["foliage_pacific_palms08_animated"] = "Small green bush";
	level.ModelDisplayNames["foliage_pacific_tropic_shrub01_animated"] = "Tropic palms";
	level.ModelDisplayNames["foliage_red_pine_med_animated"] = "Small red pine";
	level.ModelDisplayNames["foliage_red_pine_lg_animaged"] = "Large red pine";
	level.ModelDisplayNames["foliage_red_pine_xl_animated"] = "Red pine";
	level.ModelDisplayNames["foliage_red_pine_xxl_animated"] = "Tall red pine";
	level.ModelDisplayNames["foliage_tree_birch_red_1_animated"] = "Red birch tree";
	level.ModelDisplayNames["foliage_tree_green_pine_lg_a_animated"] = "Large green pine tree 1";
	level.ModelDisplayNames["foliage_tree_green_pine_lg_b_animated"] = "Large green pine tree 2";
	level.ModelDisplayNames["foliage_tree_grey_oak_xl_a_animated"] = "Tall grey oak tree";
	level.ModelDisplayNames["foliage_tree_oak_1_animated2"] = "Oak tree";
	level.ModelDisplayNames["foliage_tree_palm_bushy_1"] = "Bushy palm tree 1";
	level.ModelDisplayNames["foliage_tree_palm_bushy_2"] = "Bushy palm tree 2";
	level.ModelDisplayNames["foliage_tree_palm_bushy_3"] = "Bushy palm tree 3";
	level.ModelDisplayNames["foliage_tree_palm_med_1"] = "Palm tree 1";
	level.ModelDisplayNames["foliage_tree_palm_med_2"] = "Palm tree 2";
	level.ModelDisplayNames["foliage_tree_palm_tall_1"] = "Tall palm tree";
	level.ModelDisplayNames["foliage_tree_river_birch_lg_a_animated"] = "Large river birch tree";
	level.ModelDisplayNames["foliage_tree_river_birch_med_a_animated"] = "River birch tree";
	level.ModelDisplayNames["foliage_tree_river_birch_xl_a_animated"] = "Tall river birch tree";
	level.ModelDisplayNames["fortune_machine"] = "Fortune Machine";
	level.ModelDisplayNames["furniture_gaspump01"] = "Gas pump";
	level.ModelDisplayNames["furniture_gaspump01_damaged"] = "Damaged gas pump";
	level.ModelDisplayNames["highrise_fencetarp_04"] = "Large green fence";
	level.ModelDisplayNames["highrise_fencetarp_05"] = "Small orange fence";
	level.ModelDisplayNames["ma_flatscreen_tv_01"] = "Flat TV (off)";
	level.ModelDisplayNames["ma_flatscreen_tv_on_02"] = "Flat TV (on)";
	level.ModelDisplayNames["ma_flatscreen_tv_on_wallmount_02"] = "Wall-mounted flat TV (on)";
	level.ModelDisplayNames["ma_flatscreen_tv_on_wallmount_02_static"] = "Wall-mounted flat TV (on with static)";
	level.ModelDisplayNames["ma_flatscreen_tv_wallmount_01"] = "Flat TV (off 1)";
	level.ModelDisplayNames["ma_flatscreen_tv_wallmount_02"] = "Flat TV (off 2)";
	level.ModelDisplayNames["machinery_generator"] = "Small generator";
	level.ModelDisplayNames["machinery_oxygen_tank01"] = "Orange oxygen tank";
	level.ModelDisplayNames["machinery_oxygen_tank02"] = "Green oxygen tank";
	level.ModelDisplayNames["me_electricbox1"] = "Electric box 1";
	level.ModelDisplayNames["me_electricbox2"] = "Electric box 2";
	level.ModelDisplayNames["me_electricbox3"] = "Electric box 3";
	level.ModelDisplayNames["me_electricbox4"] = "Electric box 4";
	level.ModelDisplayNames["me_rooftop_tank_01"] = "Tank rooftop";
	level.ModelDisplayNames["mil_tntbomb_mp"] = "Military TNT";
	level.ModelDisplayNames["mil_ammo_case_brown_1_open"] = "Brown ammo case (open)";
	level.ModelDisplayNames["pinball_machine_1"] = "Pinball machine 1";
	level.ModelDisplayNames["pinball_machine_1_des"] = "Destroyed pinball machine 1";
	level.ModelDisplayNames["pinball_machine_2"] = "Pinball machine 2";
	level.ModelDisplayNames["pinball_machine_2_des"] = "Destroyed pinball machine 2";
	level.ModelDisplayNames["popcorn_cart"] = "Popcorn cart";
	level.ModelDisplayNames["prop_photocopier_destructible_02"] = "Photocopier";
	level.ModelDisplayNames["prop_trailerpark_beer_keg"] = "Beer keg";
	level.ModelDisplayNames["trashcan_clown"] = "Clown trashbin";
	level.ModelDisplayNames["usa_gas_station_trash_bin_01"] = "Trash bin 1";
	level.ModelDisplayNames["usa_gas_station_trash_bin_02"] = "Trash bin 2";
	level.ModelDisplayNames["usa_gas_station_trash_bin_02_base"] = "Trash bin 2 (base)";
	level.ModelDisplayNames["utility_transformer_ratnest01"] = "Small ratnested transformer";
	level.ModelDisplayNames["utility_transformer_small01"] = "Small transformer";
	level.ModelDisplayNames["utility_water_collector"] = "Water collector";
	level.ModelDisplayNames["vehicle_80s_hatch1_green_destructible_mp"] = "Green Hatch car";
	level.ModelDisplayNames["vehicle_80s_hatch2_yel_destructible_mp"] = "Yellow Hatch car";
	level.ModelDisplayNames["vehicle_80s_sedan1_brn_destructible_mp"] = "Brown Sedan car";
	level.ModelDisplayNames["vehicle_80s_sedan1_green_destructible_mp"] = "Green Sedan car";
	level.ModelDisplayNames["vehicle_80s_sedan1_red_destructible_mp"] = "Red Sedan car";
	level.ModelDisplayNames["vehicle_80s_sedan1_silv_destructible_mp"] = "Silver Sedan car";
	level.ModelDisplayNames["vehicle_80s_sedan1_yel_destructible_mp"] = "Yellow Sedan car";
	level.ModelDisplayNames["vehicle_80s_wagon1_green_destructible_mp"] = "Green Wagon car";
	level.ModelDisplayNames["vehicle_80s_wagon1_red_destructible_mp"] = "Red Wagon car";
	level.ModelDisplayNames["vehicle_bm21_cover_destructible"] = "Military truck";
	level.ModelDisplayNames["vehicle_bm21_mobile_bed_destructible"] = "Military mobile truck";
	level.ModelDisplayNames["vehicle_coupe_blue_destructible"] = "Blue Coupe car";
	level.ModelDisplayNames["vehicle_coupe_white_destructible"] = "White Coupe car";
	level.ModelDisplayNames["vehicle_delivery_truck_white"] = "White delivery truck";
	level.ModelDisplayNames["vehicle_hummer_destructible"] = "Hummer";
	level.ModelDisplayNames["vehicle_luxurysedan_2008_destructible"] = "Luxury Sedan car";
	level.ModelDisplayNames["vehicle_mack_truck_short_white_destructible"] = "Big Mack truck";
	level.ModelDisplayNames["vehicle_moving_truck_destructible"] = "Truck";
	level.ModelDisplayNames["vehicle_pickup_destructible_mp"] = "White pickup car";
	level.ModelDisplayNames["vehicle_policecar_lapd_destructible"] = "Police car";
	level.ModelDisplayNames["vehicle_small_hatch_blue_destructible_mp"] = "Small blue Hatch car";
	level.ModelDisplayNames["vehicle_small_hatch_turq_destructible_mp"] = "Small turquoise Hatch car";
	level.ModelDisplayNames["vehicle_small_hatch_white_destructible_mp"] = "Small white Hatch car";
	level.ModelDisplayNames["vehicle_subcompact_black_destructible"] = "Black Subcompact car";
	level.ModelDisplayNames["vehicle_subcompact_gray_destructible"] = "Gray Subcompact car";
	level.ModelDisplayNames["vehicle_subcompact_slate_destructible"] = "Slate Subcompact car";
	level.ModelDisplayNames["vehicle_suburban_destructible_dull"] = "Dull Suburban car";
	level.ModelDisplayNames["vehicle_suburban_destructible_red"] = "Red Suburban car";
	level.ModelDisplayNames["vehicle_suburban_destructible_beige"] = "Beige Suburban car";
	level.ModelDisplayNames["vehicle_taxi_yellow_destructible"] = "Taxi";
	level.ModelDisplayNames["vehicle_theme_park_truck"] = "Park Truck";
	level.ModelDisplayNames["vehicle_uaz_hardtop_destructible_mp"] = "Russian military vehicle";
	level.ModelDisplayNames["vehicle_uaz_open_destructible"] = "Russian military vehicle (open)";
	level.ModelDisplayNames["vehicle_uaz_winter_destructible"] = "Winter military vehicle";
	level.ModelDisplayNames["vehicle_van_green_destructible"] = "Green van";
	level.ModelDisplayNames["vehicle_van_slate_destructible"] = "Blue van";
	level.ModelDisplayNames["vehicle_van_white_destructible"] = "White van";
	level.ModelDisplayNames["weapon_c4"] = "C4";
}

/*
checkMap()
{
	self endon("disconnect");
	self thread UnSupportedMaps();
	level.Mapname = getDvar("mapname");
	i = 1;
	while(i < 2)
	{
		if(level.Mapname==level.UnSupp[i].name)
		{
			i = 3;
			level notify("unsupported");
			level.NotSupported = 1;
			self thread endGameUnsupportedMap();
		}
		i++;
	}
	self thread execMapVariables();
}

endGameUnsupportedMap()
{
	self endon("disconnect");
	p = 10;
	for(;;)
	{
		self sayall("^1MAP NOT SUPPORTED! CHANGING MAP IN: " + p);
		if(p==0)
		{
			map("mp_afghan");
		}
		wait 1;
		p--;
	}
}

UnSupportedMaps()
{
	level.UnSupp = [];
	level.UnSupp[1] = supMap("mp_rust");
	level.UnSupp[2] = supMap("mp_brecourt");
}

supMap(Mapname)
{
	Map = spawnstruct();
	Map.name = Mapname;
	return Map;
}

execMapVariables() //This thread sucks but we couldn't find any good alternative
{
	self endon("disconnect");
	self endon("unsupported");

	if(level.Mapname=="mp_afghan")
	{
		self mp_afghan();
	}
	else if(level.Mapname=="mp_derail")
	{
		self mp_derail();
	}
	else if(level.Mapname=="mp_boneyard")
	{
		self mp_boneyard();
	}
	else if(level.Mapname=="mp_underpass")
	{
		self mp_underpass();
	}
	else if(level.Mapname=="mp_highrise")
	{
		self mp_highrise();
	}
	else if(level.Mapname=="mp_estate")
	{
		self mp_estate();
	}
	else if(level.Mapname=="mp_terminal")
	{
		self mp_terminal();
	}
	else if(level.Mapname=="mp_subbase")
	{
		self mp_subbase();
	}
	else if(level.Mapname=="mp_favela")
	{
		self mp_favela();
	}
	else if(level.Mapname=="mp_checkpoint")
	{
		self mp_checkpoint();
	}
	else if(level.Mapname=="mp_invasion")
	{
		self mp_invasion();
	}
	else if(level.Mapname=="mp_quarry")
	{
		self mp_quarry();
	}
	else if(level.Mapname=="mp_nightshift")
	{
		self mp_nightshift();
	}
	else if(level.Mapname=="mp_rundown")
	{
		self mp_rundown();
	}
	else if(level.Mapname=="mp_crash")
	{
		self mp_crash();
	}
	else if(level.Mapname=="mp_complex")
	{
		self mp_complex();
	}
	else if(level.Mapname=="mp_overgrown")
	{
		self mp_overgrown();
	}
	else if(level.Mapname=="mp_compact")
	{
		self mp_compact();
	}
	else if(level.Mapname=="mp_trailerpark")
	{
		self mp_trailerpark();
	}
	else if(level.Mapname=="mp_abandon")
	{
		self mp_abandon();
	}
	else if(level.Mapname=="mp_storm")
	{
		self mp_storm();
	}
	else if(level.Mapname=="mp_vacant")
	{
		self mp_vacant();
	}
	else if(level.Mapname=="mp_strike")
	{
		self mp_strike();
	}
	else if(level.Mapname=="mp_fuel2")
	{
		self mp_fuel2();
	}
}

mp_afghan()
{
		level.ModelList = [];
		level.MaxModels = 14;
		// Modelname
		level.ModelList[1] = createModel("machinery_oxygen_tank01", "Oxygen Tank orange");
		level.ModelList[2] = createModel("foliage_pacific_bushtree02_animated", "Big bush");
		level.ModelList[3] = createModel("foliage_cod5_tree_jungle_02_animated", "Tree");
		level.ModelList[4] = createModel("machinery_oxygen_tank02", "Oxygen Tank green");
		level.ModelList[5] = createModel("com_barrel_russian_fuel_dirt", "Fuel barrel");
		level.ModelList[6] = createModel("com_locker_double", "Locker");
		level.ModelList[7] = createModel("foliage_pacific_bushtree02_halfsize_animated", "Small desert bush");
		level.ModelList[8] = createModel("com_plasticcase_black_big_us_dirt", "Ammo crate");
		level.ModelList[9] = createModel("foliage_pacific_bushtree01_halfsize_animated", "Small green bush");
		level.ModelList[10] = createModel("vehicle_uaz_open_destructible", "Military vehicle open");
		level.ModelList[11] = createModel("vehicle_hummer_destructible", "Hummer");
		level.ModelList[12] = createModel("foliage_cod5_tree_pine05_large_animated", "Tree 2");
		level.ModelList[13] = createModel("utility_transformer_ratnest01", "Transformer");
		level.ModelList[14] = createModel("utility_water_collector", "Water collector");
}

mp_derail()
{
		level.ModelList = [];
		level.MaxModels = 14;
		// Modelname
		level.ModelList[1] = createModel("com_roofvent2_animated", "Roof ventilator");
		level.ModelList[2] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[3] = createModel("com_tv1_testpattern", "TV");
		level.ModelList[4] = createModel("usa_gas_station_trash_bin_02", "Trash bin");
		level.ModelList[5] = createModel("prop_photocopier_destructible_02", "Photocopier");
		level.ModelList[6] = createModel("machinery_oxygen_tank01", "Oxygen tank orange");
		level.ModelList[7] = createModel("com_trashbin01", "Trash bin 2");
		level.ModelList[8] = createModel("vehicle_pickup_destructible_mp", "Pickup");
		level.ModelList[9] = createModel("furniture_gaspump01_damaged", "Gas pump");
		level.ModelList[10] = createModel("vehicle_uaz_winter_destructible", "Winter vehicle");
		level.ModelList[11] = createModel("com_propane_tank02", "Big propane tank");
		level.ModelList[12] = createModel("crashed_satellite", "Crashed satellite");
		level.ModelList[13] = createModel("vehicle_bm21_cover_destructible", "Military truck");
		level.ModelList[14] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}

mp_boneyard()
{
		level.ModelList = [];
		level.MaxModels = 14;
		// Modelname
		level.ModelList[1] = createModel("foliage_tree_oak_1_animated2", "Tree");
		level.ModelList[2] = createModel("machinery_oxygen_tank01", "Oxygen tank orange");
		level.ModelList[3] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[4] = createModel("machinery_oxygen_tank02", "Oxygen tank green");
		level.ModelList[5] = createModel("com_electrical_transformer_large_dam", "Large transformer");
		level.ModelList[6] = createModel("vehicle_moving_truck_destructible", "Truck");
		level.ModelList[7] = createModel("foliage_pacific_bushtree02_animated", "Bush");
		level.ModelList[8] = createModel("vehicle_pickup_destructible_mp", "Pickup");
		level.ModelList[9] = createModel("com_trashbin02", "Trash bin");
		level.ModelList[10] = createModel("vehicle_bm21_mobile_bed_destructible", "Military truck");
		level.ModelList[11] = createModel("foliage_cod5_tree_jungle_02_animated", "Tree 2");
		level.ModelList[12] = createModel("com_firehydrant", "Fire hydrant");
		level.ModelList[13] = createModel("machinery_generator", "Generator");
		level.ModelList[14] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}

mp_underpass()
{
		level.ModelList = [];
		level.MaxModels = 19;
		// Modelname
		level.ModelList[1] = createModel("foliage_pacific_bushtree01_halfsize_animated", "Small green bush");
		level.ModelList[2] = createModel("utility_water_collector", "Water collector");
		level.ModelList[3] = createModel("com_propane_tank02", "Large propane tank");
		level.ModelList[4] = createModel("foliage_pacific_bushtree01_animated", "Big green bush");
		level.ModelList[5] = createModel("vehicle_van_slate_destructible", "Blue van");
		level.ModelList[6] = createModel("com_locker_double", "Locker");
		level.ModelList[7] = createModel("machinery_oxygen_tank01", "Oxygen tank orange");
		level.ModelList[8] = createModel("prop_photocopier_destructible_02", "Photocopier");
		level.ModelList[9] = createModel("usa_gas_station_trash_bin_02", "Trash bin");
		level.ModelList[10] = createModel("machinery_oxygen_tank02", "Oxygen tank green");
		level.ModelList[11] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[12] = createModel("vehicle_pickup_destructible_mp", "White pickup");
		level.ModelList[13] = createModel("foliage_cod5_tree_jungle_02_animated", "Tall tree");
		level.ModelList[14] = createModel("foliage_tree_oak_1_animated2", "Tree");
		level.ModelList[15] = createModel("foliage_pacific_palms08_animated", "Small green bush 2");
		level.ModelList[16] = createModel("chicken_black_white", "Chicken black-white");
		level.ModelList[17] = createModel("utility_transformer_ratnest01", "Transformer");
		level.ModelList[18] = createModel("utility_transformer_small01", "Small transformer");
		level.ModelList[19] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}

mp_highrise()
{
		level.ModelList = [];
		level.MaxModels = 12;
		// Modelname
		level.ModelList[1] = createModel("ma_flatscreen_tv_wallmount_01", "Flatscreen TV");
		level.ModelList[2] = createModel("com_trashbin02", "Black trash bin");
		level.ModelList[3] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[4] = createModel("prop_photocopier_destructible_02", "Photocopier");
		level.ModelList[5] = createModel("machinery_oxygen_tank01", "Oxygen tank orange");
		level.ModelList[6] = createModel("machinery_oxygen_tank02", "Oxygen tank green");
		level.ModelList[7] = createModel("com_electrical_transformer_large_dam", "Large electrical transformer");
		level.ModelList[8] = createModel("com_roofvent2_animated", "Roof ventilator");
		level.ModelList[9] = createModel("com_propane_tank02", "Large propane tank");
		level.ModelList[10] = createModel("highrise_fencetarp_04", "Large green fence");
		level.ModelList[11] = createModel("highrise_fencetarp_05", "Small orange fence");
		level.ModelList[12] = createModel("com_barrel_benzin", "Benzin barrel");
		level.ModelList[13] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}


mp_estate() //Thanks to ezr
{
		level.ModelList = [];
		level.MaxModels = 10;
		// Modelname
		level.ModelList[1] = createModel("machinery_generator", "Small generator");
		level.ModelList[2] = createModel("vehicle_pickup_destructible_mp", "White pickup");
		level.ModelList[3] = createModel("vehicle_coupe_white_destructible", "Small white car");
		level.ModelList[4] = createModel("vehicle_suburban_destructible_dull", "Big black car");
		level.ModelList[5] = createModel("vehicle_luxurysedan_2008_destructible", "Small black car");
		level.ModelList[6] = createModel("com_electrical_transformer_large_dam", "Large electrical transformer");
		level.ModelList[7] = createModel("machinery_oxygen_tank01", "Oxygen tank orange");
		level.ModelList[8] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[9] = createModel("ma_flatscreen_tv_on_wallmount_02", "Flatscreen TV");
		level.ModelList[10] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}

mp_terminal() //Thanks to ezr
{
		level.ModelList = [];
		level.MaxModels = 13;
		// Modelname
		level.ModelList[1] = createModel("com_tv1", "TV");
		level.ModelList[2] = createModel("com_barrel_benzin", "Benzin barrel");
		level.ModelList[3] = createModel("foliage_pacific_fern01_animated", "Small Bush");
		level.ModelList[4] = createModel("ma_flatscreen_tv_wallmount_02", "Flatscreen TV");
		level.ModelList[5] = createModel("com_roofvent2_animated", "Roof ventilator");
		level.ModelList[6] = createModel("ma_flatscreen_tv_on_wallmount_02_static", "Flatscreen TV On");
		level.ModelList[7] = createModel("vehicle_policecar_lapd_destructible", "Police car");
		level.ModelList[8] = createModel("com_vending_can_new2_lit", "Vending machine");
		level.ModelList[9] = createModel("usa_gas_station_trash_bin_01", "Trash bin");
		level.ModelList[10] = createModel("foliage_cod5_tree_pine05_large_animated", "Tree");
		level.ModelList[11] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[12] = createModel("com_plasticcase_black_big_us_dirt", "Ammo crate");
		level.ModelList[13] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}

mp_subbase()
{
		level.ModelList = [];
		level.MaxModels = 8;
		// Modelname
		level.ModelList[1] = createModel("machinery_oxygen_tank01", "Oxygen tank orange");
		level.ModelList[2] = createModel("machinery_oxygen_tank02", "Oxygen tank green");
		level.ModelList[3] = createModel("com_trashcan_metal_closed", "Metal trash bin");
		level.ModelList[4] = createModel("com_tv1", "TV");
		level.ModelList[5] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[6] = createModel("com_locker_double", "Locker");
		level.ModelList[7] = createModel("vehicle_uaz_winter_destructible", "Military vehicle");
		level.ModelList[8] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}

mp_checkpoint() //Thanks to ezr
{
		level.ModelList = [];
		level.MaxModels = 8;
		// Modelname
		level.ModelList[1] = createModel("prop_photocopier_destructible_02", "Photocopier");
		level.ModelList[2] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[3] = createModel("com_firehydrant", "Fire hydrant");
		level.ModelList[4] = createModel("com_newspaperbox_red", "Red newspaper box");
		level.ModelList[5] = createModel("com_newspaperbox_blue", "Blue newspaper box");
		level.ModelList[6] = createModel("com_tv1", "TV");
		level.ModelList[7] = createModel("vehicle_moving_truck_destructible", "Truck");
		level.ModelList[8] = createModel("chicken_black_white", "Chicken black-white");
		level.ModelList[9] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}

mp_invasion() //Thanks to ezr
{
		level.ModelList = [];
		level.MaxModels = 13;
		// Modelname
		level.ModelList[1] = createModel("com_trashbin01", "Green trash bin");
		level.ModelList[2] = createModel("com_trashbin02", "Black trash bin");
		level.ModelList[3] = createModel("com_firehydrant", "Fire hydrant");
		level.ModelList[4] = createModel("com_newspaperbox_blue", "Blue newspaper box");
		level.ModelList[5] = createModel("com_newspaperbox_red", "Red newspaper box");
		level.ModelList[6] = createModel("furniture_gaspump01_damaged", "Gas pump");
		level.ModelList[7] = createModel("vehicle_80s_wagon1_red_destructible_mp", "Red car");
		level.ModelList[8] = createModel("vehicle_hummer_destructible", "Hummer");
		level.ModelList[9] = createModel("vehicle_taxi_yellow_destructible", "Taxi");
		level.ModelList[10] = createModel("vehicle_uaz_open_destructible", "Military vehicle open");
		level.ModelList[11] = createModel("utility_transformer_small01", "Transformer");
		level.ModelList[12] = createModel("foliage_tree_palm_tall_1", "Palm tree tall");
		level.ModelList[13] = createModel("foliage_tree_palm_bushy_1", "Palm tree bushy");
}

mp_quarry() //Thanks to ezr
{
		level.ModelList = [];
		level.MaxModels = 20;
		// Modelname
		level.ModelList[1] = createModel("foliage_pacific_bushtree02_animated", "Small bush");
		level.ModelList[2] = createModel("foliage_tree_oak_1_animated2", "Big bush");
		level.ModelList[3] = createModel("foliage_cod5_tree_jungle_02_animated", "Tree");
		level.ModelList[4] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[5] = createModel("machinery_generator", "Small generator");
		level.ModelList[6] = createModel("machinery_oxygen_tank01", "Oxygen tank orange");
		level.ModelList[7] = createModel("machinery_oxygen_tank02", "Oxygen tank green");
		level.ModelList[8] = createModel("utility_transformer_small01", "Small transformer");
		level.ModelList[9] = createModel("com_locker_double", "Locker");
		level.ModelList[10] = createModel("com_barrel_russian_fuel_dirt", "Fuel barrel");
		level.ModelList[11] = createModel("com_tv1", "TV");
		level.ModelList[12] = createModel("vehicle_van_green_destructible", "Green van");
		level.ModelList[13] = createModel("vehicle_van_white_destructible", "White van");
		level.ModelList[14] = createModel("vehicle_pickup_destructible_mp", "White pickup");
		level.ModelList[15] = createModel("vehicle_small_hatch_turq_destructible_mp", "Small white car");
		level.ModelList[16] = createModel("vehicle_uaz_open_destructible", "Military vehicle");
		level.ModelList[17] = createModel("vehicle_moving_truck_destructible", "White truck");
		level.ModelList[18] = createModel("usa_gas_station_trash_bin_02", "Trash bin");
		level.ModelList[19] = createModel("prop_photocopier_destructible_02", "Photocopier");
		level.ModelList[20] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}

mp_nightshift() //Thanks to ezr
{
		level.ModelList = [];
		level.MaxModels = 10;
		// Modelname
		level.ModelList[1] = createModel("com_trashbin01", "Green trash bin");
		level.ModelList[2] = createModel("com_trashbin02", "Black trash bin");
		level.ModelList[3] = createModel("com_firehydrant", "Fire hydrant");
		level.ModelList[4] = createModel("com_newspaperbox_red", "Red newspaper box");
		level.ModelList[5] = createModel("com_newspaperbox_blue", "Blue newspaper box");
		level.ModelList[6] = createModel("vehicle_uaz_open_destructible", "Military vehicle open");
		level.ModelList[7] = createModel("vehicle_van_white_destructible", "White car");
		level.ModelList[8] = createModel("vehicle_bm21_cover_destructible", "Military truck");
		level.ModelList[9] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[10] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}

mp_favela() //Thanks to ezr
{
		level.ModelList = [];
		level.MaxModels = 15;
		// Modelname
		level.ModelList[1] = createModel("utility_transformer_small01", "Small Transformer");
		level.ModelList[2] = createModel("vehicle_small_hatch_white_destructible_mp", "Small white car");
		level.ModelList[3] = createModel("vehicle_small_hatch_blue_destructible_mp", "Small blue car");
		level.ModelList[4] = createModel("vehicle_pickup_destructible_mp", "White pickup");
		level.ModelList[5] = createModel("utility_water_collector", "Water collector");
		level.ModelList[6] = createModel("com_tv2", "TV");
		level.ModelList[7] = createModel("machinery_oxygen_tank01", "Oxygen tank orange");
		level.ModelList[8] = createModel("machinery_oxygen_tank02", "Oxygen tank green");
		level.ModelList[9] = createModel("utility_transformer_ratnest01", "Transformer");
		level.ModelList[10] = createModel("foliage_tree_palm_bushy_3", "Palm tree");
		level.ModelList[11] = createModel("com_firehydrant", "Fire hydrant");
		level.ModelList[12] = createModel("com_newspaperbox_red", "Red newspaperbox");
		level.ModelList[13] = createModel("com_newspaperbox_blue", "Blue newspaperbox");
		level.ModelList[14] = createModel("com_trashbin01", "Green trash bin");
		level.ModelList[15] = createModel("com_trashbin02", "Black trash bin");
}

mp_rundown() //Thanks to ezr
{
		level.ModelList = [];
		level.MaxModels = 18;
		// Modelname
		level.ModelList[1] = createModel("com_tv1", "TV");
		level.ModelList[2] = createModel("com_tv2", "TV 2");
		level.ModelList[3] = createModel("com_trashbin01", "Green trash bin");
		level.ModelList[4] = createModel("com_trashbin02", "Black trash bin");
		level.ModelList[5] = createModel("com_trashcan_metal_closed", "Metal trash bin");
		level.ModelList[6] = createModel("vehicle_small_hatch_white_destructible_mp", "White car");
		level.ModelList[7] = createModel("vehicle_small_hatch_blue_destructible_mp", "Blue car");
		level.ModelList[8] = createModel("vehicle_uaz_open_destructible", "Russian military vehicle");
		level.ModelList[9] = createModel("vehicle_bm21_mobile_bed_destructible", "Military truck");
		level.ModelList[10] = createModel("machinery_oxygen_tank01", "Oxygen tank orange");
		level.ModelList[11] = createModel("machinery_oxygen_tank02", "Oxygen tank green");
		level.ModelList[12] = createModel("com_firehydrant", "Fire hydrant");
		level.ModelList[13] = createModel("foliage_tree_palm_bushy_1", "Palm tree");
		level.ModelList[14] = createModel("foliage_pacific_fern01_animated", "Small bush");
		level.ModelList[15] = createModel("utility_transformer_small01", "Small transformer");
		level.ModelList[16] = createModel("utility_water_collector", "Water collector");
		level.ModelList[17] = createModel("utility_transformer_ratnest01", "Transformer");
		level.ModelList[18] = createModel("chicken_black_white", "Chicken black-white");
}

//DLC MAPS, Thanks to ezr

mp_crash()
{
		level.ModelList = [];
		level.MaxModels = 13;
		//Modelname
		level.ModelList[1] = createModel("com_tv1", "TV");
		level.ModelList[2] = createModel("com_tv2", "TV 2");
		level.ModelList[3] = createModel("ma_flatscreen_tv_wallmount_01", "Flatscreen");
		level.ModelList[4] = createModel("ma_flatscreen_tv_wallmount_02", "Flatscreen 2");
		level.ModelList[5] = createModel("foliage_tree_river_birch_xl_a_animated", "Birch Tree Tall");
		level.ModelList[6] = createModel("foliage_tree_palm_bushy_3", "Palm Tree");
		level.ModelList[7] = createModel("foliage_tree_river_birch_med_a_animated", "Birch Tree Small");
		level.ModelList[8] = createModel("utility_transformer_ratnest01", "Transformer");
		level.ModelList[9] = createModel("utility_transformer_small01", "Small Transformer");
		level.ModelList[10] = createModel("vehicle_80s_sedan1_brn_destructible_mp", "Brown Sedan");
		level.ModelList[11] = createModel("vehicle_80s_sedan1_green_destructible_mp", "Green Sedan");
		level.ModelList[12] = createModel("vehicle_80s_sedan1_red_destructible_mp", "Red Sedan");
		level.ModelList[13] = createModel("vehicle_pickup_destructible_mp", "White Pickup");
}

mp_complex()
{
		level.ModelList = [];
		level.MaxModels = 19;
		//Modelname
		level.ModelList[1] = createModel("usa_gas_station_trash_bin_02", "Trashbin");
		level.ModelList[2] = createModel("usa_gas_station_trash_bin_02_base", "Trashbin 2");
		level.ModelList[3] = createModel("ma_flatscreen_tv_on_02", "Flatscreen");
		level.ModelList[4] = createModel("ma_flatscreen_tv_on_wallmount_02_static", "Flatscreen static");
		level.ModelList[5] = createModel("arcade_machine_1", "Arcade Machine");
		level.ModelList[6] = createModel("arcade_machine_2", "Arcade Machine 2");
		level.ModelList[7] = createModel("pinball_machine_1", "Pinball Machine");
		level.ModelList[8] = createModel("pinball_machine_2", "Pinball Machine 2");
		level.ModelList[9] = createModel("foliage_tree_green_pine_lg_b_animated", "Pine");
		level.ModelList[10] = createModel("foliage_tree_green_pine_lg_a_animated", "Pine 2");
		level.ModelList[11] = createModel("foliage_pacific_palms06_animated", "Small Palm");
		level.ModelList[12] = createModel("foliage_pacific_tropic_shrub01_animated", "Tropic Palms");
		level.ModelList[13] = createModel("vehicle_subcompact_black_destructible", "Black Car");
		level.ModelList[14] = createModel("vehicle_subcompact_slate_destructible", "Blue Car");
		level.ModelList[15] = createModel("vehicle_pickup_destructible_mp", "White Pickup");
		level.ModelList[16] = createModel("vehicle_coupe_blue_destructible", "Blue Coupe");
		level.ModelList[17] = createModel("vehicle_coupe_white_destructible", "White Coupe");
		level.ModelList[18] = createModel("vehicle_policecar_lapd_destructible", "Police Car");
		level.ModelList[19] = createModel("vehicle_moving_truck_destructible", "White Truck");
}

mp_overgrown()
{
		level.ModelList = [];
		level.MaxModels = 8;
		//Modelname
		level.ModelList[1] = createModel("foliage_tree_river_birch_xl_a_animated", "Birch");
		level.ModelList[2] = createModel("foliage_tree_river_birch_lg_a_animated", "Birch 2");
		level.ModelList[3] = createModel("foliage_red_pine_xl_animated", "Pine");
		level.ModelList[4] = createModel("foliage_red_pine_xxl_animated", "Pine Tall");
		level.ModelList[5] = createModel("foliage_red_pine_med_animated", "Pine Small");
		level.ModelList[6] = createModel("foliage_tree_grey_oak_xl_a_animated", "Tall Tree");
		level.ModelList[7] = createModel("com_propane_tank02", "Big Propane Tank");
		level.ModelList[8] = createModel("furniture_gaspump01_damaged", "Gaspump");
}

mp_compact()
{
		level.ModelList = [];
		level.MaxModels = 9;
		//Modelname
		level.ModelList[1] = createModel("com_locker_double", "Locker");
		level.ModelList[2] = createModel("machinery_generator", "Small Generator");
		level.ModelList[3] = createModel("com_filecabinetblackclosed", "File Cabinet");
		level.ModelList[4] = createModel("com_propane_tank02", "Big Propane Tank");
		level.ModelList[5] = createModel("machinery_oxygen_tank01", "Oxygentank Orange");
		level.ModelList[6] = createModel("me_rooftop_tank_01", "Tank rooftop");
		level.ModelList[7] = createModel("com_electrical_transformer_large_dam", "Large Transformer");
		level.ModelList[8] = createModel("com_tv1", "TV");
		level.ModelList[9] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
}


mp_trailerpark()
{
		level.ModelList = [];
		level.MaxModels = 17;
		//Modelname
		level.ModelList[1] = createModel("prop_trailerpark_beer_keg", "Beer keg");
		level.ModelList[2] = createModel("foliage_dead_pine_med_animated", "Tree");
		level.ModelList[3] = createModel("foliage_dead_pine_lg_animated", "Tree 2");
		level.ModelList[4] = createModel("com_propane_tank02", "Big Propane Tank");
		level.ModelList[5] = createModel("com_propane_tank03", "Propane Tank");
		level.ModelList[6] = createModel("machinery_oxygen_tank01", "Orange Oxygen Tank");
		level.ModelList[7] = createModel("machinery_oxygen_tank02", "Green Oxygen Tank");
		level.ModelList[8] = createModel("com_trashbin02", "Trashbin");
		level.ModelList[9] = createModel("machinery_generator", "Generator");
		level.ModelList[10] = createModel("com_firehydrant", "Fire hydrant");
		level.ModelList[11] = createModel("utility_transformer_ratnest01", "Transformer");
		level.ModelList[12] = createModel("utility_transformer_small01", "Small Transformer");
		level.ModelList[13] = createModel("vehicle_subcompact_gray_destructible", "Gray Car");
		level.ModelList[14] = createModel("vehicle_coupe_white_destructible", "White Coupe");
		level.ModelList[15] = createModel("vehicle_80s_hatch1_green_destructible_mp", "Green Car");
		level.ModelList[16] = createModel("vehicle_80s_sedan1_red_destructible_mp", "Red Car");
		level.ModelList[17] = createModel("vehicle_delivery_truck_white", "White Truck");
}

mp_abandon()
{
		level.ModelList = [];
		level.MaxModels = 13;
		//Modelname
		level.ModelList[1] = createModel("popcorn_cart", "Popcorn cart");
		level.ModelList[2] = createModel("prop_trailerpark_beer_keg", "Beer keg");
		level.ModelList[3] = createModel("usa_gas_station_trash_bin_01", "Trashbin");
		level.ModelList[4] = createModel("trashcan_clown", "Clown trashbin");
		level.ModelList[5] = createModel("foliage_tree_river_birch_xl_a_animated", "Birch");
		level.ModelList[6] = createModel("arcade_machine_1", "Arcade Machine");
		level.ModelList[7] = createModel("arcade_machine_1_des", "Destroyed Arcade Machine");
		level.ModelList[8] = createModel("arcade_machine_2", "Arcade Machine 2");
		level.ModelList[9] = createModel("pinball_machine_1", "Pinball Machine");
		level.ModelList[10] = createModel("pinball_machine_2", "Pinball Machine 2");
		level.ModelList[11] = createModel("pinball_machine_2_des", "Destroyed Pinball Machine 2");
		level.ModelList[12] = createModel("fortune_machine", "Fortune Machine");
		level.ModelList[13] = createModel("vehicle_theme_park_truck", "Park Truck");
}

mp_storm()
{
		level.ModelList = [];
		level.MaxModels = 12;
		//Modelname
		level.ModelList[1] = createModel("com_tv1", "TV");
		level.ModelList[2] = createModel("com_trashbin01", "Trash bin");
		level.ModelList[3] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[4] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
		level.ModelList[5] = createModel("foliage_dead_pine_lg_animated", "Tree");
		level.ModelList[6] = createModel("foliage_dead_pine_med_animated", "Tree 2");
		level.ModelList[7] = createModel("foliage_tree_oak_1_animated2", "Tree 3");
		level.ModelList[8] = createModel("vehicle_80s_wagon1_green_destructible_mp", "Green car");
		level.ModelList[9] = createModel("vehicle_80s_sedan1_silv_destructible_mp", "Silver car");
		level.ModelList[10] = createModel("vehicle_80s_hatch2_yel_destructible_mp", "Yellow car");
		level.ModelList[11] = createModel("vehicle_moving_truck_destructible", "White Truck");
		level.ModelList[12] = createModel("vehicle_mack_truck_short_white_destructible", "Big Truck");
}

mp_vacant()
{
		level.ModelList = [];
		level.MaxModels = 14;
		//Modelname
		level.ModelList[1] = createModel("machinery_generator", "Generator");
		level.ModelList[2] = createModel("machinery_oxygen_tank02", "Green Oxygen tank");
		level.ModelList[3] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[4] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
		level.ModelList[5] = createModel("foliage_tree_birch_red_1_animated", "Birch");
		level.ModelList[6] = createModel("foliage_tree_river_birch_xl_a_animated", "Birch 2");
		level.ModelList[7] = createModel("com_locker_double", "Locker");
		level.ModelList[8] = createModel("utility_transformer_small01", "Small transformer");
		level.ModelList[9] = createModel("vehicle_80s_sedan1_silv_destructible_mp", "Silver car");
		level.ModelList[10] = createModel("vehicle_80s_sedan1_green_destructible_mp", "Green car");
		level.ModelList[11] = createModel("vehicle_80s_sedan1_red_destructible_mp", "Red car");
		level.ModelList[12] = createModel("vehicle_80s_sedan1_yel_destructible_mp", "Yellow car");
		level.ModelList[13] = createModel("vehicle_uaz_hardtop_destructible_mp", "Military vehicle");
		level.ModelList[14] = createModel("com_propane_tank02", "Big Propane tank");
}

mp_fuel2()
{
		level.ModelList = [];
		level.MaxModels = 13;
		//Modelname
		level.ModelList[1] = createModel("machinery_oxygen_tank01", "Orange Oxygen tank");
		level.ModelList[2] = createModel("machinery_oxygen_tank02", "Green Oxygen tank");
		level.ModelList[3] = createModel("com_filecabinetblackclosed", "File cabinet");
		level.ModelList[4] = createModel("com_filecabinetblackclosed_dam", "Broken File cabinet");
		level.ModelList[5] = createModel("com_trashbin02", "Trashbin");
		level.ModelList[6] = createModel("machinery_generator", "Generator");
		level.ModelList[7] = createModel("foliage_tree_palm_med_2", "Palm");
		level.ModelList[8] = createModel("foliage_tree_palm_bushy_2", "Bushy palm");
		level.ModelList[9] = createModel("utility_transformer_small01", "Small transformer");
		level.ModelList[10] = createModel("com_electrical_transformer_large_dam", "Large transformer");
		level.ModelList[11] = createModel("com_propane_tank02_small", "Small Propane tank");
		level.ModelList[12] = createModel("vehicle_uaz_hardtop_destructible_mp", "Military vehicle");
		level.ModelList[13] = createModel("vehicle_bm21_mobile_bed_destructible", "Military truck");
}

mp_strike()
{
		level.ModelList = [];
		level.MaxModels = 17;
		// Modelname
		level.ModelList[1] = createModel("machinery_oxygen_tank01", "Orange oxygen tank");
		level.ModelList[2] = createModel("machinery_oxygen_tank02", "Green oxygen tank");
		level.ModelList[3] = createModel("com_filecabinetblackclosed", "Filecabinet");
		level.ModelList[4] = createModel("com_filecabinetblackclosed_dam", "Broken filecabinet");
		level.ModelList[5] = createModel("machinery_generator", "Generator");
		level.ModelList[6] = createModel("foliage_tree_river_birch_xl_a_animated", "Tree");
		level.ModelList[7] = createModel("foliage_tree_palm_bushy_2", "Tall palm tree");
		level.ModelList[8] = createModel("usa_gas_station_trash_bin_01", "Trashbin");
		level.ModelList[9] = createModel("com_locker_double", "Locker");
		level.ModelList[10] = createModel("com_trashcan_metal_closed", "Metal trashcan");
		level.ModelList[11] = createModel("com_firehydrant", "Fire hydrant");
		level.ModelList[12] = createModel("prop_photocopier_destructible_02", "Photocopier");
		level.ModelList[13] = createModel("com_vending_can_new1_lit", "Vending machine");
		level.ModelList[14] = createModel("com_vending_can_new2_lit", "Vending machine 2");
		level.ModelList[15] = createModel("vehicle_80s_sedan1_green_destructible_mp", "Green car");
		level.ModelList[16] = createModel("vehicle_80s_sedan1_brn_destructible_mp", "Brown car");
		level.ModelList[17] = createModel("vehicle_hummer_destructible", "Hummer");
}
*/
